Bugfix in I2C initialisation on S3C2400.

If the bus is blocked because of a previously interrupted transfer, on 
the I2CSCL line up to eleven clocks are generated to complete the transfer
and to cause the hanging device to free the bus.

With this fix pin I2CSCL (PG6) is really configured as GPIO and the clock 
pulses are really generated.

Signed-off-by: Martin Krause <martin.krause@tqs.de>

---
commit 74e0fdd8e2e077142d963c4ddacf4db54fd9bb8d
tree bc9f798b2fe7017b121e9b0a3622d868c984ca7a
parent 10e5cf7a362d2728c4686315b517cf904c6cfde2
author Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Tue, 04 Apr 2006 09:12:50 +0200
committer Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Tue, 04 Apr 2006 09:12:50 +0200

 cpu/arm920t/s3c24x0/i2c.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/cpu/arm920t/s3c24x0/i2c.c b/cpu/arm920t/s3c24x0/i2c.c
index ef56cd1..374b683 100644
--- a/cpu/arm920t/s3c24x0/i2c.c
+++ b/cpu/arm920t/s3c24x0/i2c.c
@@ -153,7 +153,7 @@ void i2c_init (int speed, int slaveadd)
 #endif
 #ifdef CONFIG_S3C2400
 		/* set I2CSDA and I2CSCL (PG5, PG6) to GPIO */
-		gpio->PGCON = (gpio->PGCON & ~0x00003c00) | 0x00000c00;
+		gpio->PGCON = (gpio->PGCON & ~0x00003c00) | 0x00001000;
 #endif
 
 		/* toggle I2CSCL until bus idle */
